package com.example.onomatopoeiaback.controller;

import com.example.onomatopoeiaback.domain.qrcode.QrCode;
import com.example.onomatopoeiaback.service.QrCodeService;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/qr_code")
public class QrCodeController {
    final
    QrCodeService qrCodeService;

    public QrCodeController(QrCodeService qrCodeService) {
        this.qrCodeService = qrCodeService;
    }

    @PostMapping("/create")
    public ResponseEntity<QrCode> createQrCode(@RequestParam String name) {
        return ResponseEntity.ok(qrCodeService.createQrCode(name));
    }
}
